Subject: BAD NEWS - Apache 1.2b10 on NT
From: [email-masked] (Giovanni Maruzzelli)

15 May 1997 17:10:59 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi there,

There's some bad news that maybe is final, at least for me.

I've built another version, that is multithreaded. But, also if is very
fast, you:

1) can make a lot of connection per second but from one only machine(I've
done almost 15 conn/sec)

2) if you connect from two machine at the same time it crash

I think the problem is that all threads share the same memory, so, if they
try to modify at the same time, they crash.
I'vealso utilized a lot of Mutex, but this don't help.

There's no mean to have memory storage space reserved for a thread.

3) Put apart that I can't fork from a thread (cause the library return an
error), so there's no cgi support. Probably this can be done through a
thread that execute the cgi, but at this point, better use msvc++.

I think that I'll put out this new (and last?) version today or tomorrow.

ciao,

-giovanni

 
          ***********************************************
          *                                             *
          *                                             *
          *    MATRICE srl                              *
          *    Information Technology Solutions         *
          *                                             *
          *    Giovanni Maruzzelli                      *
          *                                             *
          *                                             *
          *                                             *
          *    [email-masked]                        *
          *    http://www.matrice.it                    *
          ***********************************************

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".